IMPORTANT MESSAGE REGARDING THE FORUM

As you may already know, the JoomlaWorks Forum is powered by Kunena (the only decent forum component for Joomla).

Unfortunately, the latest update for Kunena has seemingly broken all code snippets (old and new) in the forum.

Until this message is removed, please paste any code as regular text - in other words, don't use the [code]...[/code] tags in Kunena's post editor.

Keyword

K2 update error on Joomla 3.9

  • Aniron79
  • Aniron79's Avatar Topic Author
  • Offline
  • New Member
More
2 weeks 6 days ago #179592 by Aniron79
K2 update error on Joomla 3.9 was created by Aniron79
Hi, I use K2 on my site. I have verified that the component is updated to the latest version (2.10.3), but the modules and plugins are updated to version 2.9.0. When I open the component I get the update notification, but when I go to the Update section no update is available. I tried to install the update manually (overwriting the existing installation) but I get the following error message:
Component installation error
Unknown character set: 'utf8mb4'

Can you help me solve?

Please Log in or Create an account to join the conversation.

More
2 weeks 3 days ago #179606 by Fotis
Replied by Fotis on topic K2 update error on Joomla 3.9
This means that the upgrade did not work as expected in the first place - only parts of K2 where updated.

This could be related to broken file ownership or access permissions or it could be related to partial support for a newer codebase.

Since you get the error "Unknown character set: 'utf8mb4'" can you please check and tell me which version of Joomla you're using and on which exact PHP and MySQL versions? You should get the latter from the system information page in the Joomla backend.

IMPORTANT: Please search the forum before posting a question!

JoomlaWorks Support Team Member

Please Log in or Create an account to join the conversation.

  • Aniron79
  • Aniron79's Avatar Topic Author
  • Offline
  • New Member
More
2 weeks 2 days ago #179615 by Aniron79
Replied by Aniron79 on topic K2 update error on Joomla 3.9
Thank you for the answer. Here is the requested informations:
Joomla 3.9.0
PHP: 7.3
MySql: 5.0.92

Is there any way to fix the corrupt installation?

Please Log in or Create an account to join the conversation.


Powered by Kunena Forum